Subject: Re: Problem using export command
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Thu, 25 Dec 2003 12:01:59 -0800

Anjali Bharat Shah wrote:

> export LD_LIBRARY_PATH=$REI_HOME/lib
> export CLASSPATH=$CLASSPATH:$CP:$REI_HOME/classes:.
> 
> rm $REI_HOME/classes/*.class
> $JAVA_HOME/javac -d classes $REI_HOME/src/*.java
> $JAVA_HOME/java ReiEngine $REI_HOME/config.xml
> 
>   This file runs without problems in Linux, but under cygwin it gives the
> following error:
> export: Files\Xinox: bad variable name
> 
>   A similar problem was faced by someone who posted a message to the mailing
> list. But I found no answer to that and so am posting my message again. If
> someone could please help me figure why this error occurs and suggest some
> solution, I will be very glad.

Your CLASSPATH contains a directory with a space in it, probably
\Program Files.  You'll need to quote it so that the shell sees it all
as one word.

Also, I don't think LD_LIBRARY_PATH has any effect under Cygwin. 
There's no such feature.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/